/*  ------------------------------------------------------------------------------------------------------------------- */

#nocontent {
  z-index: 1;
  height: 100%;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: var(--bg-color);
  overflow: auto;
  scrollbar-width: thin;
}

.backdrop {
  display: flex;
  flex-direction: column;
  position: relative;
  min-height: 100vh;
  backdrop-filter: blur(0px);
}

/* This is a simple override from the styles.css file for this specific page */
a {
    text-decoration: underline;
}

/*  ------------------------------------------------------------------------------------------------------------------- */
main {
  flex: 1;
  display: flex;
  justify-content: center;
  align-items: center;
  text-shadow: 2px 2px 20px #000000;

  @media (max-width: 768px) {
    justify-content: center;
    align-items: center;
    flex-direction: column;
  }

  & > :first-child {
    @media (max-width: 1250px) {
      margin-right: 0;
      position: absolute;
    }
    @media (max-width: 768px) {
      position: static;
    }
  }
}

.alt-header-title {
  display: none;
  justify-content: center;
  animation: fadeIn 1s 0.6s backwards;

  @media (max-width: 768px) {
    font-size: 1.5rem;
    display: revert;
    font-weight: 300;
    margin-top: 1rem;
  }
}

.header-bar {
  display: flex;
  gap: 48px;
  align-items: center;
  justify-content: center;

  @media (max-width: 768px) {
    font-size: 0.75rem;
    padding: 0;
  }

  & > h1 {
    font-weight: 300;
    animation: fadeIn 0.5s 0.2s backwards;

    @media (max-width: 768px) {
      display: none;
      font-size: 0px;
    }
  }
}

.navbar-list {
  gap: 12px;
  font-size: 1.2rem;
  font-weight: 500;
  text-decoration: none;
  animation: fadeIn 0.5s 0.4s backwards;

  @media (max-width: 768px) {
    gap: 1rem;
    font-size: 1.1rem;
    padding-top: 1rem;
    justify-content: center;
  }
}
